require 'spec_helper'

module G5YglClient20
  describe GetLeadsForPropertyRequest do
    let(:url) {"https://www.youvegotleads.com/api/properties/"}
    let(:auth) {"BASIC c2hpbnlhbmRjaHJvbWU6YXF1YWNvbGE="}
    let(:subscription_id) {3}

    describe 'execute' do
      it "calls HTTParty get" do
        expect(HTTParty).to receive(:get).with("#{url}1/leads?subscriptionId=#{subscription_id}",
                                               :headers => {"Authorization" => auth,
                                                            "Host" => HOST,
                                                            "Accept" => "application/json"})
        GetLeadsForPropertyRequest.execute(auth, url, 3, 1)
      end
    end

  end
end